<?php
include('../koneksi.php');

if (isset($_POST['id_buku'])) {
    $id = $_POST['id_buku'];
    $judul = $_POST['judul_buku'];
    $penulis = $_POST['penulis'];
    $tahun_terbit = $_POST['tahun_terbit'];
    
    if ($_FILES['foto']['name'] != '') {
        $foto = $_FILES['foto']['name'];
        $tmp_foto = $_FILES['foto']['tmp_name'];
        $path = "../img/" . $foto;

        move_uploaded_file($tmp_foto, $path);

        $query = "UPDATE buku SET judul_buku='$judul', penulis='$penulis', tahun_terbit='$tahun_terbit', foto='$foto' WHERE id_buku='$id'";
    } else {
        $query = "UPDATE buku SET judul_buku='$judul', penulis='$penulis', tahun_terbit='$tahun_terbit' WHERE id_buku='$id'";
    }

    if (mysqli_query($koneksi, $query)) {
        header('Location: ../index.php?alert=update_berhasil');
        exit();
    } else {
        header('Location: ../index.php?alert=update_gagal');
        exit();
    }
} else {
    header('Location: ../index.php?alert=akses_tidak_sah');
    exit();
}
?>
